/*
 *  SP`
 *
 *  $Id:$
 */
#include <stdlib.h>
#include <stdio.h>
#include <windows.h>
#include "gdevlib.h"
#include "screen.h"
#include "tsp.h"

int draw_sp( struct TSP_WINDOW *win )
{
int i,x,y,m ;
int type ;
struct TSP_PIX *tmpp ;

 
 if( win==NULL ) return( TSP_INVALID_WINDOW_ERROR )  ;
 tmpp=gd->vram ;
 for( i=0 ; i<tsp_pcg.sp_cur ; i++ ){
   type=tsp_pcg.chip[tsp_pcg.sp[i]->pcg].type ;
   m=0 ;
   for( y=0 ; y<type ; y++ ){
     for( x=0 ; x<type ; x++,m++ ){
       if( tsp_pcg.sp[i]->y+y<0 ||
	   tsp_pcg.sp[i]->y+y>=win->height ||
	   tsp_pcg.sp[i]->x+x<0 ||
	   tsp_pcg.sp[i]->x+x>=win->width ){
	 continue ;
       }
       if( tsp_pcg.chip[tsp_pcg.sp[i]->pcg].map[m].a==0 ) continue ;
       tmpp[ (tsp_pcg.sp[i]->y+y) * win->real_width +
	     (tsp_pcg.sp[i]->x+x) ]=
	 tsp_pcg.chip[tsp_pcg.sp[i]->pcg].map[m] ;
     }
   }
 }
 tsp_pcg.sp_cur = 0 ;
 
 GdevSync() ; /* wait for complete draw graphic */
 
 return( 0 ) ;
}
