/*****************************************************************
 * grlib.h
 *****************************************************************/
typedef struct _Gdev{
  HWND    win ;
  HDC     hdc;           /* foreground DC  */
  HDC     hdc_back;      /* background DC  */
  HBITMAP bmp_back;      /* background BMP */
  HFONT   hfont;
  HPEN    current_pen ;
  HBRUSH  current_brush ;
  BITMAPINFO bi;
  void    *vram ;
  int     width ;
  int     height ;
} Gdev ;

/***********************************************************************/
extern Gdev *OpenGdev(int width, int height, char *title);
extern void  CloseGdev(Gdev *gd);

extern void  DrawPix(Gdev *gd, int x, int y, COLORREF pix);

extern void  ClearGdev(Gdev *gd);
extern void  FlushBuffer(Gdev *gd);

/***********************************************************************/
Gdev *gd ;
volatile int GdevSyncReady ;

#define GdevSync() {for( GdevSyncReady=1 ; GdevSyncReady!=0 ; );}
